part of 'generated.dart';

class DeleteCustomRateCardVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteCustomRateCardVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteCustomRateCardData> dataDeserializer = (dynamic json)  => DeleteCustomRateCardData.fromJson(jsonDecode(json));
  Serializer<DeleteCustomRateCardVariables> varsSerializer = (DeleteCustomRateCardVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteCustomRateCardData, DeleteCustomRateCardVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteCustomRateCardData, DeleteCustomRateCardVariables> ref() {
    DeleteCustomRateCardVariables vars= DeleteCustomRateCardVariables(id: id,);
    return _dataConnect.mutation("deleteCustomRateCard", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteCustomRateCardCustomRateCardDelete {
  final String id;
  DeleteCustomRateCardCustomRateCardDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteCustomRateCardCustomRateCardDelete otherTyped = other as DeleteCustomRateCardCustomRateCardDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteCustomRateCardCustomRateCardDelete({
    required this.id,
  });
}

@immutable
class DeleteCustomRateCardData {
  final DeleteCustomRateCardCustomRateCardDelete? customRateCard_delete;
  DeleteCustomRateCardData.fromJson(dynamic json):
  
  customRateCard_delete = json['customRateCard_delete'] == null ? null : DeleteCustomRateCardCustomRateCardDelete.fromJson(json['customRateCard_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteCustomRateCardData otherTyped = other as DeleteCustomRateCardData;
    return customRateCard_delete == otherTyped.customRateCard_delete;
    
  }
  @override
  int get hashCode => customRateCard_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (customRateCard_delete != null) {
      json['customRateCard_delete'] = customRateCard_delete!.toJson();
    }
    return json;
  }

  DeleteCustomRateCardData({
    this.customRateCard_delete,
  });
}

@immutable
class DeleteCustomRateCardVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteCustomRateCardVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteCustomRateCardVariables otherTyped = other as DeleteCustomRateCardVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteCustomRateCardVariables({
    required this.id,
  });
}

